Subject: 26.3; Can't open file in Finder in Mac OS Catalina

From: Yuliang WANG <[email-masked]>
Date: Wed, 23 Oct 2019 01:37:55 +0800

If emacs is not running, I can double click a file in Finder to open
it. If I double click another file after that, it will not open. That
is, emacs can't open more than one file by clicking in Finder. I can still
open more than one file in emacs by using the keybinding C-x C-f. It
seems this happens after the Mac system is updated to Catalina. I have
exactly the same version of emacs and init.el file in another Mac, but
everything is okay there. If I run 'emacs -Q' in the terminal, I get the
following

2019-10-23 01:32:09.553 Emacs-x86_64-10_14[23357:1189576] Failed to initialize color list unarchiver: Error Domain=NSCocoaErrorDomain Code=4864 "*** -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive cannot be decoded by NSKeyedUnarchiver" UserInfo={NSDebugDescription=*** -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive cannot be decoded by NSKeyedUnarchiver}

In GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 Version 10.14.3 (Build 18D109))
of 2019-09-02 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1894
Recent messages:
[yas] Prepared just-in-time loading of snippets successfully.
For information about GNU Emacs and the GNU system, type C-h C-a.
Automatic display of crossref information was turned on
Applying style hooks...done
Type C-x 1 to delete the help window.
user-error: No cross-reference here
mwheel-scroll: Beginning of buffer [2 times]
Mark set
Auto-saving...

Configured using:
'configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_CN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  shell-dirtrack-mode: t
  adaptive-wrap-prefix-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils preview prv-emacs face-remap reftex-dcr
reftex-auc reftex reftex-loaddefs reftex-vars noutline outline tex-buf
font-latex latex easy-mmode latex-flymake flymake-proc flymake warnings
thingatpt tex-ispell tex-style tex crm advice tex-mode compile shell
pcomplete comint ansi-color ring latexenc rainbow-delimiters cl-extra
yasnippet adaptive-wrap elec-pair help-mode edmacro kmacro paren
one-dark-theme one-themes finder-inf info tex-site package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 416545 15399)
(symbols 48 33399 1)
(miscs 40 90 499)
(strings 32 95828 3093)
(string-bytes 1 2443196)
(vectors 16 49194)
(vector-slots 8 929216 19244)
(floats 8 99 38)
(intervals 56 673 25)
(buffers 992 13))

-- 
Disclaimer

This
 message (including any attachments) may contain 
confidential 
information intended for a specific individual and/or 
purpose. If you 
are not the intended recipient, please delete this message 
and notify 
the sender and the University immediately. Any disclosure, 
copying, or 
distribution of this message, or the taking of any action 
based on it, 
is prohibited as it may be unlawful.

In
 addition, the 
University specifically denies any responsibility for the
 accuracy or 
quality of information obtained through University E-mail 
Facilities. Any 
views and opinions expressed in the email(s) are those 
of the author(s), 
and do not necessarily represent the views and 
opinions of the University. 
The University accepts no liability 
whatsoever for any losses or damages 
that may be incurred or caused to 
any party as a result of the use of such 
information.